Calculate Social Security taxes
1 min
POST
https://osifinance.com/api/v1/social-security-taxes
Body Parameters
- bodyobjectrequiredDescription
- api_keyApiKeyrequiredDescription
- filing_statusFilingStatusDescriptionDefaultsingle
- pmiPmiDescriptionDefault0
- incomeIncomeDescriptionDefault100000
- federal_agiFederalAgiDescriptionDefault75000
- federal_deductionsFederalDeductionsDescriptionDefault0
- state_agiStateAgiDescriptionDefault0
- credits_federalCreditsFederalDescriptionDefault0
- credits_stateCreditsStateDescriptionDefault0
- capital_gains_shortCapitalGainsShortDescriptionDefault0
- state_residenceStateResidenceDescriptionDefaultFlorida
- state_occupationStateOccupationDescriptionDefaultFlorida
- county_residenceCountyResidenceDescriptionDefaultOther
- county_occupationCountyOccupationDescriptionDefaultOther
- dependentsDependentsDescriptionDefault0
- birth_yearBirthYearDescriptionDefault1990
- filersOver65FilersOver65DescriptionDefault0
- traditional_esp_contributionsTraditionalEspContributionsDescriptionDefault0
- traditional_ira_contributionsTraditionalIraContributionsDescriptionDefault0
Responses
200
- object
- statusstring<success>Description
- dataobject
- Tax TypeobjectDescription
- Marginal Tax RateobjectDescription
- Effective Tax RateobjectDescription
- 2023 TaxesobjectDescription
- sourcesobjectDescription
400
- object
- errorstringDescription
401
- object
- errorstring<No API key provided. Please provide an API Key. | Invalid API key provided. Please register at https://osifinance.com/signup to get a valid API key.>Description
404
- object
- errorstringDescription
429
- object
- errorstring<Usage Limit Reached. You have reached the maximum number of daily requests for your account. You can get a higher limit by upgrading to a paid plan or through our give2get program. Learn more at https://osifinance.com/resources/help/give2get?question=How%20can%20I%20get%20free,%20unlimited%20access%20to%20the%20API%20and%20calculators?.>Description
500
- object
- errorstringDescription
curl
curl --request POST \
--url https://osifinance.com/api/v1/social-security-taxes \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"api_key": "",
"filing_status": "single",
"income": 100000,
"federal_agi": 75000,
"state_residence": "Florida",
"state_occupation": "Florida",
"county_residence": "Other",
"county_occupation": "Other",
"birth_year": 1990
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"api_key": "",
"filing_status": "single",
"income": 100000,
"federal_agi": 75000,
"state_residence": "Florida",
"state_occupation": "Florida",
"county_residence": "Other",
"county_occupation": "Other",
"birth_year": 1990
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://osifinance.com/api/v1/social-security-taxes", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://osifinance.com/api/v1/social-security-taxes")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"api_key": "",
"filing_status": "single",
"income": 100000,
"federal_agi": 75000,
"state_residence": "Florida",
"state_occupation": "Florida",
"county_residence": "Other",
"county_occupation": "Other",
"birth_year": 1990
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://osifinance.com/api/v1/social-security-taxes"
payload = json.dumps({
"api_key": "",
"filing_status": "single",
"income": 100000,
"federal_agi": 75000,
"state_residence": "Florida",
"state_occupation": "Florida",
"county_residence": "Other",
"county_occupation": "Other",
"birth_year": 1990
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"status": "",
"data": {
"Tax Type": {},
"Marginal Tax Rate": {},
"Effective Tax Rate": {},
"2023 Taxes": {}
},
"sources": {}
}400
// Bad request
{
"error": ""
}401
// Unauthorized
{
"error": ""
}404
// Not found
{
"error": ""
}429
// Too Many Requests
{
"error": ""
}500
// Internal server error
{
"error": ""
}